<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>toolset</artifactId>
        <groupId>com.yonge.toolset</groupId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>toolset-payment</artifactId>
    <version>${project.toolset.version}</version>
    <name>toolset-payment</name>

    <properties>
        <binarywang.weixin.java.version>4.1.0</binarywang.weixin.java.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-base</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-mybatis</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>
        <!-- mybatis-plus -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.0.7.1</version>
        </dependency>
        <!-- redisson -->
        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson-spring-boot-starter</artifactId>
            <version>${redisson.version}</version>
        </dependency>
        <!-- 阿里 -->
        <dependency>
            <groupId>com.alipay.sdk</groupId>
            <artifactId>alipay-sdk-java</artifactId>
            <version>4.23.0.ALL</version>
        </dependency>
        <!-- 微信 -->
        <!--<dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-apache-httpclient</artifactId>
            <version>0.4.6</version>
        </dependency>-->
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-pay</artifactId>
            <version>${binarywang.weixin.java.version}</version>
        </dependency>
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.2</version>
        </dependency>
        <!-- 汇付 -->
        <dependency>
            <groupId>com.huifu.adapay</groupId>
            <artifactId>adapay-java-sdk</artifactId>
            <version>1.2.10</version>
        </dependency>
    </dependencies>
</project>